MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Static Public Member Functions
Java::File Class Reference

Wrapper for a java.io.File object. More...

`#include <File.hxx>`

Inheritance diagram for Java::File:
[legend]
Collaboration diagram for Java::File:
[legend]

## Static Public Member Functions
static gcc_nonnull_all void | Initialise (JNIEnv *env)
static gcc_nonnull_all jstring | getAbsolutePath (JNIEnv *env, jobject file)
gcc_pure static gcc_nonnull_all AllocatedPath | ToAbsolutePath (JNIEnv *env, jobject file)
| Invoke File.getAbsolutePath() and release the specified File reference. More...

## Additional Inherited Members
Public Member Functions inherited from Java::LocalRef< T >
| LocalRef (JNIEnv *_env, T _value)
| The local reference is obtained by the caller. More...
| ~LocalRef ()
| LocalRef (const LocalRef &other)=delete
LocalRef & | operator= (const LocalRef &other)=delete
T | Get () const
| operator T () const

## Detailed Description

Wrapper for a java.io.File object.

Definition at line 43 of file File.hxx.

## Member Function Documentation

static gcc_nonnull_all jstring Java::File::getAbsolutePath | ( | JNIEnv * | env,
|  | jobject | file
| ) |  |
| inline static

Definition at line 51 of file File.hxx.

static gcc_nonnull_all void Java::File::Initialise | ( | JNIEnv * | env | ) |
| static

gcc_pure static gcc_nonnull_all AllocatedPath Java::File::ToAbsolutePath | ( | JNIEnv * | env,
|  | jobject | file
| ) |  |
| static

Invoke File.getAbsolutePath() and release the specified File reference.

The documentation for this class was generated from the following file:

- java/File.hxx